---

- hosts: all
  tasks: 

  - name: update os  
    ansible.builtin.dnf:    
      name: "*"
      state: latest 
    when: ansible_os_family == 'RedHat'

  - name: Install the latest version of Apache
    ansible.builtin.dnf:
      name: httpd
      state: latest
    when: ansible_os_family == 'RedHat'

  - name: Start service httpd, if not started
    ansible.builtin.service:
      name: httpd
      state: started
      enabled: yes

  - name: Create a directory if it does not exist
    ansible.builtin.file:
      path: /var/www/html
      state: directory
      mode: '0755'

  - name: daj do suboru "text"
    copy:
      content: text
      dest: /var/www/html/1.txt

  - name: Start service firewalld, if not started
    ansible.builtin.service:
      name: firewalld
      state: started
      enabled: yes

  - name: allow 80, 443 port
    firewalld:
      port: "{{ item }}"
      permanent: true
      immediate: true
      state: enabled
    loop:
      - "80/tcp"
      - "443/tcp"



